/*
 * Copyright (C) 2011 David C. McCallum
 * For conditions of distribution and use, see the copyright notice in Dasyne.hpp
*/

#include "DTimerEvent.hpp"
#include "DTimer.hpp"

using namespace std;
using namespace libdasyne;

DTimerEvent::DTimerEvent(DEngine *newEngine,
                         DTimer *newTimer) : DEvent(newEngine)
{
    timer = newTimer;
}//constructor

DTimerEvent::~DTimerEvent(void)
{
}//destructor

unsigned int DTimerEvent::update(void)
{
    return timer->update();
}//update
